Summary:	checkpoint/restore functionality for Linux in userspace
Name:		criu
Version:	1.3.1
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://download.openvz.org/criu/%{name}-%{version}.tar.bz2
# Source0-md5:	72331377375c136abbfebcfa3f5d3f90
URL:		http://criu.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	protobuf-c-devel
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	iproute2 >= 3.6
Requires:	uname(release) >= 3.9
Requires(post,preun,postun):	systemd-units >= 38
Requires:	systemd-units >= 38
ExclusiveArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Checkpoint/Restore In Userspace, or CRIU, is a software tool for Linux
operating system. Using this tool, you can freeze a running
application (or part of it) and checkpoint it to a hard drive as a
collection of files. You can then use the files to restore and run the
application from the point it was frozen at. The distinctive feature
of the CRIU project is that it is mainly implemented in user space.

%description -l en.UTF-8
Checkpoint/Restore In Userspace, or CRIU (pronounced kree-oo, IPA:
/krɪʊ/, Russian: криу), is a software tool for Linux operating system.
Using this tool, you can freeze a running application (or part of it)
and checkpoint it to a hard drive as a collection of files. You can
then use the files to restore and run the application from the point
it was frozen at. The distinctive feature of the CRIU project is that
it is mainly implemented in user space.

%package libs
Summary:	CRIU shared library
Summary(pl.UTF-8):	Biblioteka współdzielona CRIU
Group:		Libraries

%description libs
CRIU shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona CRIU.

%package devel
Summary:	Header file for CRIU library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki CRIU
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header file for CRIU library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki CRIU.

%prep
%setup -q
sed -i -e 's#-O2#$(OPT)#g' Makefile*

%build
%{__make} \
	DEB_HOST_MULTIARCH= \
	CC="%{__cc}" \
	OPT="%{rpmcppflags} %{rpmcflags}" \
	PREFIX=%{_prefix} \
	LOGROTATEDIR=%{_sysconfdir}/logrotate.d \
	SYSTEMDUNITDIR=%{systemdunitdir} \
	V=1 \
	WERROR=0

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DEB_HOST_MULTIARCH= \
	PREFIX="%{_prefix}" \
	LOGROTATEDIR=%{_sysconfdir}/logrotate.d \
	SYSTEMDUNITDIR=%{systemdunitdir} \
	MANDIR=%{_mandir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post criu.service

%preun
%systemd_preun criu.service

%postun
%systemd_reload

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS README
%attr(755,root,root) %{_sbindir}/criu
%{_mandir}/man8/criu.8*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/criu-service
%{systemdunitdir}/criu.service
%{systemdunitdir}/criu.socket

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcriu.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libcriu.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcriu.so
%{_includedir}/criu
%{_pkgconfigdir}/criu.pc
%changelog
* Wed Nov 05 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/criu.git;a=log;h=master

* Wed Nov 05 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ead9148
- seems to be x8664 (+ few non th architectures)

* Wed Nov 05 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d0e0f9d
- rel 2; avoid DEB_HOST_MULTIARCH usage

* Wed Nov 05 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> aa51aa1
- up to 1.3.1

* Tue Nov 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 26c7c18
- release 2 (by relup.sh)

* Mon Nov 25 2013 Elan Ruusamäe <glen@delfi.ee> 5d7ea5e
- R iproute 3.6+

* Mon Nov 25 2013 Elan Ruusamäe <glen@delfi.ee> 3d5585b
- needs mostly 3.9 kernel, may need some more patching, see http://criu.org/Installation

* Mon Nov 25 2013 Elan Ruusamäe <glen@delfi.ee> 7a8067b
- C description must not be utf8 encoded

* Mon Nov 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6be8c1d
- initial

